Bug 617614 - Samba client packet signature check error
Summary: Samba client packet signature check error
Status: CLOSED DUPLICATE of bug 654426
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: Ales Zelinka
URL:
Whiteboard:
Keywords:
Depends On: 617482
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-23 14:44 UTC by Dmitri Pal
Modified: 2011-03-02 13:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 617482
Environment:
Last Closed: 2011-02-04 10:56:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0582 normal SHIPPED_LIVE samba bug fix and enhancement update 2011-05-19 09:37:35 UTC

Description Dmitri Pal 2010-07-23 14:44:45 UTC
+++ This bug was initially created as a clone of Bug #617482 +++

Description of problem:
I'm using fusesmb with options large_read and big_writes. When I ties to copy file to network share of windows server, which requires packet signing (Microsoft network server: Digitally sign communications = Enabled), copying fails and only 32KB of file copied. Strarting fusesmb with debug option showed me error:

unique: 652, opcode: WRITE (16), nodeid: 79, insize: 32848
write[162498752] 32768 bytes to 0 flags: 0x8001
smb_signing_good: BAD SIG: seq 1
SMB Signature verification failed on incoming packet!
   write[162498752] 16384 bytes to 0
   unique: 652, success, outsize: 24
unique: 653, opcode: WRITE (16), nodeid: 79, insize: 16464
write[162498752] 16384 bytes to 16384 flags: 0x8001
   unique: 653, error: -22 (Invalid argument), outsize: 16
unique: 654, opcode: FLUSH (25), nodeid: 79, insize: 64
   unique: 654, error: -38 (Function not implemented), outsize: 16
unique: 655, opcode: RELEASE (18), nodeid: 79, insize: 64
release[162498752] flags: 0x8001
   unique: 655, success, outsize: 16

If size of file is less than 32KB copy process vents OK.
When I switches packet signing off copy process vents OK.
When I mounts fusesmb without big_writes copy process vents OK too.

Same behaviour I observes if I copies files in KDE's dolphin file manager. 


Version-Release number of selected component (if applicable):
libsmbclient-3.5.4
samba-client-3.5.4

How reproducible:


Steps to Reproduce:
1. Turn on mandatory packet signing on windows server (Microsoft network server: Digitally sign communications (always) = Enabled in security policy/security options).
2. Mount windows shares using fusesmb -o large_read,big_writes or connect to share via dolphin.
3. Try to copy file (size > 32KB) to share.
  
Actual results:
Error occured and only 32KB of file copied.

Expected results:
File will copied OK.

Additional info:
Problem seems related to write segment size.


Note You need to log in before you can comment on or make changes to this bug.